"use strict";

module.exports = {
  up: (queryInterface, Sequelize) => {
    return Promise.all([
      queryInterface.removeColumn("RealEstates", "deleted"),
      queryInterface.removeColumn("RealEstates", "sold")
    ]);
  },

  down: (queryInterface, Sequelize) => {
    return Promise.all([
      queryInterface.addColumn("RealEstates", "deleted", {
        type: Sequelize.BOOLEAN,
        notNull: true
      }),
      queryInterface.addColumn("RealEstates", "sold", {
        type: Sequelize.BOOLEAN,
        notNull: true
      })
    ]);
  }
};
